Update Pay Out payment link content

View as MarkdownOpen in Claude
Updates the payment page content for a Pay Out payment link. Use this to change the branding, messaging, payment methods offered, or other page configuration.

Authentication

AuthorizationBearer

OAuth2 Bearer access token from the client-credentials flow. See OAuth authentication.

OR
requestTokenstring

Long-lived API token sent in the requestToken header. See API token authentication.

Path parameters

paylinkIdstringRequired
ID for the payment link.

Request

This endpoint expects an object.
contactUsobjectOptional
ContactUs section of payment link page.
messageBeforePayingobjectOptional
Message section of payment link page.
notesobjectOptional
Notes section of payment link page.
pageobjectOptional
Page header section of payment link page.
paymentButtonobjectOptional
Payment button section of payment link page.
paymentMethodsobjectOptional

Payment methods section of payment link page. Use this to configure which payout methods (ACH, vCard, check) are offered to the vendor.

reviewobjectOptional
Review section of payment link page.
billsobjectOptional
Bills section of payment link page.
settingsobjectOptional
Settings section of payment link page.

Response

Success
isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDatastring

If isSuccess = true, this contains the payment link identifier. If isSuccess = false, this contains the reason of the error.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error